Module javafx.graphics
Package javafx.scene.shape

# Class Ellipse

java.lang.Object
javafx.scene.Node
javafx.scene.shape.Shape
javafx.scene.shape.Ellipse

All Implemented Interfaces:
  `Styleable`, `EventTarget`

public class Ellipse extends Shape
The `Ellipse` class creates a new ellipse with the specified size and location in pixels

    import javafx.scene.shape.*;

    Ellipse ellipse = new Ellipse(); {
    ellipse.setCenterX(50.0f);
    ellipse.setCenterY(50.0f);
    ellipse.setRadiusX(50.0f);
    ellipse.setRadiusY(25.0f);

Since:
  JavaFX 2.0

- ## Property Summary

  Properties
  Type
  Property
  Description
  `final DoubleProperty`
  `centerX`
  Defines the horizontal position of the center of the ellipse in pixels.
  `final DoubleProperty`
  `centerY`
  Defines the vertical position of the center of the ellipse in pixels.
  `final DoubleProperty`
  `radiusX`
  Defines the width of the ellipse in pixels.
  `final DoubleProperty`
  `radiusY`
  Defines the height of the ellipse in pixels.

  ### Properties declared in class javafx.scene.shape.Shape

  `fill, smooth, strokeDashOffset, strokeLineCap, strokeLineJoin, strokeMiterLimit, stroke, strokeType, strokeWidth`

  ### Properties declared in class javafx.scene.Node

  `accessibleHelp, accessibleRoleDescription, accessibleRole, accessibleText, blendMode, boundsInLocal, boundsInParent, cacheHint, cache, clip, cursor, depthTest, disabled, disable, effectiveNodeOrientation, effect, eventDispatcher, focused, focusTraversable, focusVisible, focusWithin, hover, id, inputMethodRequests, layoutBounds, layoutX, layoutY, localToParentTransform, localToSceneTransform, managed, mouseTransparent, nodeOrientation, onContextMenuRequested, onDragDetected, onDragDone, onDragDropped, onDragEntered, onDragExited, onDragOver, onInputMethodTextChanged, onKeyPressed, onKeyReleased, onKeyTyped, onMouseClicked, onMouseDragEntered, onMouseDragExited, onMouseDragged, onMouseDragOver, onMouseDragReleased, onMouseEntered, onMouseExited, onMouseMoved, onMousePressed, onMouseReleased, onRotate, onRotationFinished, onRotationStarted, onScrollFinished, onScroll, onScrollStarted, onSwipeDown, onSwipeLeft, onSwipeRight, onSwipeUp, onTouchMoved, onTouchPressed, onTouchReleased, onTouchStationary, onZoomFinished, onZoom, onZoomStarted, opacity, parent, pickOnBounds, pressed, rotate, rotationAxis, scaleX, scaleY, scaleZ, scene, style, translateX, translateY, translateZ, viewOrder, visible`

- ## Field Summary

  ### Fields declared in class javafx.scene.Node

  `BASELINE_OFFSET_SAME_AS_HEIGHT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Ellipse()`
  Creates an empty instance of Ellipse.
  `Ellipse(double radiusX, double radiusY)`
  Creates an instance of Ellipse of the given size.
  `Ellipse(double centerX, double centerY, double radiusX, double radiusY)`
  Creates an instance of Ellipse of the given position and size.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final DoubleProperty`
  `centerXProperty()`
  Defines the horizontal position of the center of the ellipse in pixels.
  `final DoubleProperty`
  `centerYProperty()`
  Defines the vertical position of the center of the ellipse in pixels.
  `final double`
  `getCenterX()`
  Gets the value of the `centerX` property.
  `final double`
  `getCenterY()`
  Gets the value of the `centerY` property.
  `final double`
  `getRadiusX()`
  Gets the value of the `radiusX` property.
  `final double`
  `getRadiusY()`
  Gets the value of the `radiusY` property.
  `final DoubleProperty`
  `radiusXProperty()`
  Defines the width of the ellipse in pixels.
  `final DoubleProperty`
  `radiusYProperty()`
  Defines the height of the ellipse in pixels.
  `final void`
  `setCenterX(double value)`
  Sets the value of the `centerX` property.
  `final void`
  `setCenterY(double value)`
  Sets the value of the `centerY` property.
  `final void`
  `setRadiusX(double value)`
  Sets the value of the `radiusX` property.
  `final void`
  `setRadiusY(double value)`
  Sets the value of the `radiusY` property.
  `String`
  `toString()`
  Returns a string representation of this `Ellipse` object.

  ### Methods declared in class javafx.scene.shape.Shape

  `fillProperty, getClassCssMetaData, getCssMetaData, getFill, getStroke, getStrokeDashArray, getStrokeDashOffset, getStrokeLineCap, getStrokeLineJoin, getStrokeMiterLimit, getStrokeType, getStrokeWidth, intersect, isSmooth, setFill, setSmooth, setStroke, setStrokeDashOffset, setStrokeLineCap, setStrokeLineJoin, setStrokeMiterLimit, setStrokeType, setStrokeWidth, smoothProperty, strokeDashOffsetProperty, strokeLineCapProperty, strokeLineJoinProperty, strokeMiterLimitProperty, strokeProperty, strokeTypeProperty, strokeWidthProperty, subtract, union`

  ### Methods declared in class javafx.scene.Node

  `accessibleHelpProperty, accessibleRoleDescriptionProperty, accessibleRoleProperty, accessibleTextProperty, addEventFilter, addEventHandler, applyCss, autosize, blendModeProperty, boundsInLocalProperty, boundsInParentProperty, buildEventDispatchChain, cacheHintProperty, cacheProperty, clipProperty, computeAreaInScreen, contains, contains, cursorProperty, depthTestProperty, disabledProperty, disableProperty, effectiveNodeOrientationProperty, effectProperty, eventDispatcherProperty, executeAccessibleAction, fireEvent, focusedProperty, focusTraversableProperty, focusVisibleProperty, focusWithinProperty, getAccessibleHelp, getAccessibleRole, getAccessibleRoleDescription, getAccessibleText, getBaselineOffset, getBlendMode, getBoundsInLocal, getBoundsInParent, getCacheHint, getClip, getContentBias, getCursor, getDepthTest, getEffect, getEffectiveNodeOrientation, getEventDispatcher, getId, getInitialCursor, getInitialFocusTraversable, getInputMethodRequests, getLayoutBounds, getLayoutX, getLayoutY, getLocalToParentTransform, getLocalToSceneTransform, getNodeOrientation, getOnContextMenuRequested, getOnDragDetected, getOnDragDone, getOnDragDropped, getOnDragEntered, getOnDragExited, getOnDragOver, getOnInputMethodTextChanged, getOnKeyPressed, getOnKeyReleased, getOnKeyTyped, getOnMouseClicked, getOnMouseDragEntered, getOnMouseDragExited, getOnMouseDragged, getOnMouseDragOver, getOnMouseDragReleased, getOnMouseEntered, getOnMouseExited, getOnMouseMoved, getOnMousePressed, getOnMouseReleased, getOnRotate, getOnRotationFinished, getOnRotationStarted, getOnScroll, getOnScrollFinished, getOnScrollStarted, getOnSwipeDown, getOnSwipeLeft, getOnSwipeRight, getOnSwipeUp, getOnTouchMoved, getOnTouchPressed, getOnTouchReleased, getOnTouchStationary, getOnZoom, getOnZoomFinished, getOnZoomStarted, getOpacity, getParent, getProperties, getPseudoClassStates, getRotate, getRotationAxis, getScaleX, getScaleY, getScaleZ, getScene, getStyle, getStyleableParent, getStyleClass, getTransforms, getTranslateX, getTranslateY, getTranslateZ, getTypeSelector, getUserData, getViewOrder, hasProperties, hoverProperty, idProperty, inputMethodRequestsProperty, intersects, intersects, isCache, isDisable, isDisabled, isFocused, isFocusTraversable, isFocusVisible, isFocusWithin, isHover, isManaged, isMouseTransparent, isPickOnBounds, isPressed, isResizable, isVisible, layoutBoundsProperty, layoutXProperty, layoutYProperty, localToParent, localToParent, localToParent, localToParent, localToParent, localToParentTransformProperty, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToSceneTransformProperty, localToScreen, localToScreen, localToScreen, localToScreen, localToScreen, lookup, lookupAll, managedProperty, maxHeight, maxWidth, minHeight, minWidth, mouseTransparentProperty, nodeOrientationProperty, notifyAccessibleAttributeChanged, onContextMenuRequestedProperty, onDragDetectedProperty, onDragDoneProperty, onDragDroppedProperty, onDragEnteredProperty, onDragExitedProperty, onDragOverProperty, onInputMethodTextChangedProperty, onKeyPressedProperty, onKeyReleasedProperty, onKeyTypedProperty, onMouseClickedProperty, onMouseDragEnteredProperty, onMouseDragExitedProperty, onMouseDraggedProperty, onMouseDragOverProperty, onMouseDragReleasedProperty, onMouseEnteredProperty, onMouseExitedProperty, onMouseMovedProperty, onMousePressedProperty, onMouseReleasedProperty, onRotateProperty, onRotationFinishedProperty, onRotationStartedProperty, onScrollFinishedProperty, onScrollProperty, onScrollStartedProperty, onSwipeDownProperty, onSwipeLeftProperty, onSwipeRightProperty, onSwipeUpProperty, onTouchMovedProperty, onTouchPressedProperty, onTouchReleasedProperty, onTouchStationaryProperty, onZoomFinishedProperty, onZoomProperty, onZoomStartedProperty, opacityProperty, parentProperty, parentToLocal, parentToLocal, parentToLocal, parentToLocal, parentToLocal, pickOnBoundsProperty, prefHeight, prefWidth, pressedProperty, pseudoClassStateChanged, queryAccessibleAttribute, relocate, removeEventFilter, removeEventHandler, requestFocus, resize, resizeRelocate, rotateProperty, rotationAxisProperty, scaleXProperty, scaleYProperty, scaleZProperty, sceneProperty, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, screenToLocal, screenToLocal, screenToLocal, setAccessibleHelp, setAccessibleRole, setAccessibleRoleDescription, setAccessibleText, setBlendMode, setCache, setCacheHint, setClip, setCursor, setDepthTest, setDisable, setDisabled, setEffect, setEventDispatcher, setEventHandler, setFocused, setFocusTraversable, setHover, setId, setInputMethodRequests, setLayoutX, setLayoutY, setManaged, setMouseTransparent, setNodeOrientation, setOnContextMenuRequested, setOnDragDetected, setOnDragDone, setOnDragDropped, setOnDragEntered, setOnDragExited, setOnDragOver, setOnInputMethodTextChanged, setOnKeyPressed, setOnKeyReleased, setOnKeyTyped, setOnMouseClicked, setOnMouseDragEntered, setOnMouseDragExited, setOnMouseDragged, setOnMouseDragOver, setOnMouseDragReleased, setOnMouseEntered, setOnMouseExited, setOnMouseMoved, setOnMousePressed, setOnMouseReleased, setOnRotate, setOnRotationFinished, setOnRotationStarted, setOnScroll, setOnScrollFinished, setOnScrollStarted, setOnSwipeDown, setOnSwipeLeft, setOnSwipeRight, setOnSwipeUp, setOnTouchMoved, setOnTouchPressed, setOnTouchReleased, setOnTouchStationary, setOnZoom, setOnZoomFinished, setOnZoomStarted, setOpacity, setPickOnBounds, setPressed, setRotate, setRotationAxis, setScaleX, setScaleY, setScaleZ, setStyle, setTranslateX, setTranslateY, setTranslateZ, setUserData, setViewOrder, setVisible, snapshot, snapshot, startDragAndDrop, startFullDrag, styleProperty, toBack, toFront, translateXProperty, translateYProperty, translateZProperty, usesMirroring, viewOrderProperty, visibleProperty`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.css.Styleable

  `getStyleableNode`

- ## Property Details

  - ### centerX

    public final DoubleProperty centerXProperty
    Defines the horizontal position of the center of the ellipse in pixels.
    Default value:
      0.0
    See Also:
      - `getCenterX()`
      - `setCenterX(double)`
      - `centerXProperty()`

  - ### centerY

    public final DoubleProperty centerYProperty
    Defines the vertical position of the center of the ellipse in pixels.
    Default value:
      0.0
    See Also:
      - `getCenterY()`
      - `setCenterY(double)`
      - `centerYProperty()`

  - ### radiusX

    public final DoubleProperty radiusXProperty
    Defines the width of the ellipse in pixels.
    Default value:
      0.0
    See Also:
      - `getRadiusX()`
      - `setRadiusX(double)`
      - `radiusXProperty()`

  - ### radiusY

    public final DoubleProperty radiusYProperty
    Defines the height of the ellipse in pixels.
    Default value:
      0.0
    See Also:
      - `getRadiusY()`
      - `setRadiusY(double)`
      - `radiusYProperty()`

- ## Constructor Details

  - ### Ellipse

    public Ellipse()
    Creates an empty instance of Ellipse.

  - ### Ellipse

    public Ellipse(double radiusX, double radiusY)
    Creates an instance of Ellipse of the given size.
    Parameters:
      `radiusX` - the horizontal radius of the ellipse in pixels
      `radiusY` - the vertical radius of the ellipse in pixels

  - ### Ellipse

    public Ellipse(double centerX, double centerY, double radiusX, double radiusY)
    Creates an instance of Ellipse of the given position and size.
    Parameters:
      `centerX` - the horizontal position of the center of the ellipse in pixels
      `centerY` - the vertical position of the center of the ellipse in pixels
      `radiusX` - the horizontal radius of the ellipse in pixels
      `radiusY` - the vertical radius of the ellipse in pixels

- ## Method Details

  - ### setCenterX

    public final void setCenterX(double value)
    Sets the value of the `centerX` property.
    Property description:
      Defines the horizontal position of the center of the ellipse in pixels.
    Default value:
      0.0
    Parameters:
      `value` - the value for the `centerX` property
    See Also:
      - `getCenterX()`
      - `centerXProperty()`

  - ### getCenterX

    public final double getCenterX()
    Gets the value of the `centerX` property.
    Property description:
      Defines the horizontal position of the center of the ellipse in pixels.
    Default value:
      0.0
    Returns:
      the value of the `centerX` property
    See Also:
      - `setCenterX(double)`
      - `centerXProperty()`

  - ### centerXProperty

    public final DoubleProperty centerXProperty()
    Defines the horizontal position of the center of the ellipse in pixels.
    Default value:
      0.0
    Returns:
      the `centerX` property
    See Also:
      - `getCenterX()`
      - `setCenterX(double)`

  - ### setCenterY

    public final void setCenterY(double value)
    Sets the value of the `centerY` property.
    Property description:
      Defines the vertical position of the center of the ellipse in pixels.
    Default value:
      0.0
    Parameters:
      `value` - the value for the `centerY` property
    See Also:
      - `getCenterY()`
      - `centerYProperty()`

  - ### getCenterY

    public final double getCenterY()
    Gets the value of the `centerY` property.
    Property description:
      Defines the vertical position of the center of the ellipse in pixels.
    Default value:
      0.0
    Returns:
      the value of the `centerY` property
    See Also:
      - `setCenterY(double)`
      - `centerYProperty()`

  - ### centerYProperty

    public final DoubleProperty centerYProperty()
    Defines the vertical position of the center of the ellipse in pixels.
    Default value:
      0.0
    Returns:
      the `centerY` property
    See Also:
      - `getCenterY()`
      - `setCenterY(double)`

  - ### setRadiusX

    public final void setRadiusX(double value)
    Sets the value of the `radiusX` property.
    Property description:
      Defines the width of the ellipse in pixels.
    Default value:
      0.0
    Parameters:
      `value` - the value for the `radiusX` property
    See Also:
      - `getRadiusX()`
      - `radiusXProperty()`

  - ### getRadiusX

    public final double getRadiusX()
    Gets the value of the `radiusX` property.
    Property description:
      Defines the width of the ellipse in pixels.
    Default value:
      0.0
    Returns:
      the value of the `radiusX` property
    See Also:
      - `setRadiusX(double)`
      - `radiusXProperty()`

  - ### radiusXProperty

    public final DoubleProperty radiusXProperty()
    Defines the width of the ellipse in pixels.
    Default value:
      0.0
    Returns:
      the `radiusX` property
    See Also:
      - `getRadiusX()`
      - `setRadiusX(double)`

  - ### setRadiusY

    public final void setRadiusY(double value)
    Sets the value of the `radiusY` property.
    Property description:
      Defines the height of the ellipse in pixels.
    Default value:
      0.0
    Parameters:
      `value` - the value for the `radiusY` property
    See Also:
      - `getRadiusY()`
      - `radiusYProperty()`

  - ### getRadiusY

    public final double getRadiusY()
    Gets the value of the `radiusY` property.
    Property description:
      Defines the height of the ellipse in pixels.
    Default value:
      0.0
    Returns:
      the value of the `radiusY` property
    See Also:
      - `setRadiusY(double)`
      - `radiusYProperty()`

  - ### radiusYProperty

    public final DoubleProperty radiusYProperty()
    Defines the height of the ellipse in pixels.
    Default value:
      0.0
    Returns:
      the `radiusY` property
    See Also:
      - `getRadiusY()`
      - `setRadiusY(double)`

  - ### toString

    public String toString()
    Returns a string representation of this `Ellipse` object.
    Overrides:
      `toString` in class `Node`
    Returns:
      a string representation of this `Ellipse` object.